.btn {
    .elementor-button {
        color: var(--c-blanco) !important;
        padding: 15px 30px !important;
        margin: 0px;
        position: relative;
        background-color: var(--c-primario) !important;
        border-radius: 0;
        font-size: 1rem !important;
        font-weight: 600;
        letter-spacing: 0.5px;
        overflow: hidden;
        z-index: 1;
        transition: all .4s ease;

        &::after {
            content: "";
            background: var(--c-secundario);
            position: absolute;
            z-index: -1;
            height: 100%;
            width: 0;
            top: 0;
            bottom: 0;
            left: 0;
            margin: auto;
            transition: all .4s ease;
        }

        &:hover {
            color: var(--c-negro) !important;

            &::after {
                width: 100%;
            }
        }
    }
}

.btn-blanco {
    .elementor-button {
        color: var(--c-negro) !important;
        padding: 15px 30px !important;
        margin: 0px;
        position: relative;
        background-color: var(--c-blanco) !important;
        border-radius: 0;
        font-size: 1rem !important;
        font-weight: 600;
        letter-spacing: 0.5px;
        overflow: hidden;
        z-index: 1;
        transition: all .4s ease;

        &::after {
            content: "";
            background: var(--c-primario);
            position: absolute;
            z-index: -1;
            height: 100%;
            width: 0;
            top: 0;
            bottom: 0;
            left: 0;
            margin: auto;
            transition: all .4s ease;
        }

        &:hover {
            color: var(--c-blanco) !important;

            &::after {
                width: 100%;
            }
        }
    }
}